org.springframework.expression.spel.ast

## Class OpInc

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.Operator
    - - org.springframework.expression.spel.ast.OpInc

- All Implemented Interfaces:
    SpelNode

      public class OpInc
      extends Operator

  Increment operator. Can be used in a prefix or postfix form. This will throw appropriate exceptions if the operand in question does not support increment.
  Since:
    3.2
  Author:
    Andy Clement

- - ### Field Summary

    - ### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

      `children, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpInc(int pos, boolean postfix, SpelNodeImpl... operands)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpelNodeImpl` | `getRightOperand()`
    `TypedValue` | `getValueInternal(ExpressionState state)`
    `String` | `toStringAST()` String format for all operators is the same '(' [operand] [operator] [operand] ')'

    - ### Methods inherited from class org.springframework.expression.spel.ast.Operator

      `getLeftOperand, getOperatorName`

    - ### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

      `getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpInc

          public OpInc(int pos,
               boolean postfix,
               SpelNodeImpl... operands)

  - ### Method Detail

    - #### getValueInternal

          public TypedValue getValueInternal(ExpressionState state)
                                      throws EvaluationException

      Specified by:
        `getValueInternal` in class `SpelNodeImpl`
      Throws:
        `EvaluationException`

    - #### toStringAST

          public String toStringAST()

      Description copied from class: `Operator`
      String format for all operators is the same '(' [operand] [operator] [operand] ')'
      Specified by:
        `toStringAST` in interface `SpelNode`
      Overrides:
        `toStringAST` in class `Operator`
      Returns:
        the string form of this AST node

    - #### getRightOperand

          public SpelNodeImpl getRightOperand()

      Overrides:
        `getRightOperand` in class `Operator`